Subject: bug#78999: 31.0.50; [wishlist] window-divider-mode: option to show the bottom divider only when the mode line is hidden

From: Dani Moncayo <[email-masked]>
Date: Sat, 12 Jul 2025 15:06:09 +0200

On Sat, Jul 12, 2025 at 1:54 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Dani Moncayo <[email-masked]>
> > Date: Sat, 12 Jul 2025 13:31:04 +0200
> > Cc: [email-masked]
> >
> > [...]
> >
> > I'm not saying that the result is _wrong_.  I just find it like
> > 'redundant', so to speak, to have a window with both a mode line and a
> > bottom divider below it.
>
> Which is why window-divider-mode is by default off, I guess?  And
> users who want the dividers but feel they are redundant when the mode
> line is shown, can turn on the dividers only if they turn off the mode
> line.

window-divider-mode is a global minor mode; I can't enable it for a
single buffer/window.  So, I don't see how I could get the behavior
I'm looking for with what you said above.

> > I feel like the mode line is already enough to mark the bottom
> > boundary of the window.  And I'd rather have either the mode line or
> > the bottom divider line, but not both.
>
> You already requested that in your OP, didn't you?

Yes, I did.  Sometimes I'm unnecessarily redundant (like Emacs ;)).

> > >  What exactly "looks bad" in your case, and how did you
> > > customize the :box property?
> >
> > My setup is something like the one below.
> >
> > I'm also attaching a screenshot of how it looks here.
>
> Thanks.  FWIW, I see nothing wrong with how it looks, the redundancy
> aspect aside.

Precisely.  That very aspect is the reason why I created this ticket.

-- 
Dani Moncayo